Bug 398225 - "&" Shows up as "&" in tool-tip
Summary: "&" Shows up as "&" in tool-tip
Status: RESOLVED FIXED
Alias: None
Product: plasma-nm
Classification: Plasma
Component: general (show other bugs)
Version: 5.13.5
Platform: Manjaro Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Jan Grulich
URL:
Keywords: junior-jobs, usability
Depends on:
Blocks:
 
Reported: 2018-09-04 07:12 UTC by worldofshie
Modified: 2018-09-20 13:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
network name showed in tool-tip (46.04 KB, image/jpeg)
2018-09-04 07:12 UTC, worldofshie
Details
the main name of network (11.10 KB, image/jpeg)
2018-09-04 07:14 UTC, worldofshie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description worldofshie 2018-09-04 07:12:38 UTC
Created attachment 114764 [details]
network name showed in tool-tip

I have connect to a network name R&D and in tool-tip, it shows the name like this: ' WiFi: connected to R&D '
Comment 1 worldofshie 2018-09-04 07:14:16 UTC
Created attachment 114765 [details]
the main name of network
Comment 2 Jan Grulich 2018-09-20 13:34:07 UTC
Git commit 9a3febeb0a21ce2320897ed8cfea9378d34f7c58 by Jan Grulich.
Committed on 20/09/2018 at 13:21.
Pushed by grulich into branch 'Plasma/5.13'.

Fix ampersand and other characters in tooltip

M  +2    -3    libs/declarative/networkstatus.cpp

https://commits.kde.org/plasma-nm/9a3febeb0a21ce2320897ed8cfea9378d34f7c58
Comment 3 Nate Graham 2018-09-20 13:40:31 UTC
There aren't going to be any more 5.13 releases, so there's no point in committing to the 5.13 branch. This should probably be on the 5.12 branch and merged to 5.14 (and then back to master).
Comment 4 Jan Grulich 2018-09-20 13:57:36 UTC
Git commit 9e4db88fe6010b593cbcde433044aa5b20b1de68 by Jan Grulich.
Committed on 20/09/2018 at 13:57.
Pushed by grulich into branch 'Plasma/5.12'.

Fix ampersand and other characters in tooltip

M  +2    -3    libs/declarative/networkstatus.cpp

https://commits.kde.org/plasma-nm/9e4db88fe6010b593cbcde433044aa5b20b1de68